Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.xml
Class XmlParser

    java.lang.Object
      |
      +--com.caucho.xml.AbstractParser
            |
            +--com.caucho.xml.XmlParser

All Implemented Interfaces:
  org.xml.sax.Locator, org.xml.sax.Parser, org.xml.sax.XMLReader

Direct Known Subclasses:
  Html, LooseHtml, LooseXml, Xml

public class XmlParser
extends AbstractParser
implements org.xml.sax.Locator

A configurable XML parser. Loose versions of XML and HTML are supported by changing the Policy object.

Normally, applications will use Xml, LooseXml, Html, or LooseHtml.

Constructor Summary
`XmlParser()`

Method Summary
`void` | `free()`
`int` | `getColumnNumber()` Return the column number where the current document event ends.
`java.lang.String` | `getFilename()` Returns the current filename.
`int` | `getLine()` Returns the current line.
`int` | `getLineNumber()` Return the line number where the current document event ends.
`java.lang.String` | `getPublicId()` Return the public identifier for the current document event.
`java.lang.String` | `getSystemId()` Return the system identifier for the current document event.
`void` | `setLine(int line)`
`void` | `setReader(com.caucho.xml.readers.XmlReader reader)`
`void` | `unread(int ch)`

Methods inherited from class com.caucho.xml.AbstractParser
`getContentHandler, getDefaultEncoding, getDTDHandler, getEntitiesAsText, getEntityResolver, getErrorHandler, getFeature, getForgiving, getJsp, getProperty, getResinInclude, getSearchPath, getSkipComments, isCoalescing, openStream, parse, parse, parse, parse, parse, parseDocument, parseDocument, parseDocument, parseDocument, parseDocument, parseDocumentString, parseString, setAutodetectXml, setCoalescing, setConfig, setContentHandler, setDefaultEncoding, setDocumentHandler, setDTDHandler, setEntitiesAsText, setEntityResolver, setErrorHandler, setExpandEntities, setFeature, setForgiving, setJsp, setLocale, setProperty, setResinInclude, setSearchPath, setSkipComments, setSkipWhitespace, setToLower`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlParser

    public XmlParser()

Method Detail

### getFilename

    public java.lang.String getFilename()

  Returns the current filename.

### getLine

    public int getLine()

  Returns the current line.

### getPublicId

    public java.lang.String getPublicId()

  Description copied from interface: `org.xml.sax.Locator`
  Return the public identifier for the current document event.

  The return value is the public identifier of the document entity or of the external parsed entity in which the markup triggering the event appears.

  Specified by:
    `getPublicId` in interface `org.xml.sax.Locator`
  Following copied from interface: `org.xml.sax.Locator`
  Returns:
    A string containing the public identifier, or null if none is available.
  See Also:
    `Locator.getSystemId()`

### getSystemId

    public java.lang.String getSystemId()

  Description copied from interface: `org.xml.sax.Locator`
  Return the system identifier for the current document event.

  The return value is the system identifier of the document entity or of the external parsed entity in which the markup triggering the event appears.

  If the system identifier is a URL, the parser must resolve it fully before passing it to the application.

  Specified by:
    `getSystemId` in interface `org.xml.sax.Locator`
  Following copied from interface: `org.xml.sax.Locator`
  Returns:
    A string containing the system identifier, or null if none is available.
  See Also:
    `Locator.getPublicId()`

### setLine

    public void setLine(int line)

### getLineNumber

    public int getLineNumber()

  Description copied from interface: `org.xml.sax.Locator`
  Return the line number where the current document event ends.

  Warning: The return value from the method is intended only as an approximation for the sake of error reporting; it is not intended to provide sufficient information to edit the character content of the original XML document.

  The return value is an approximation of the line number in the document entity or external parsed entity where the markup triggering the event appears.

  If possible, the SAX driver should provide the line position of the first character after the text associated with the document event. The first line in the document is line 1.

  Specified by:
    `getLineNumber` in interface `org.xml.sax.Locator`
  Following copied from interface: `org.xml.sax.Locator`
  Returns:
    The line number, or -1 if none is available.
  See Also:
    `Locator.getColumnNumber()`

### getColumnNumber

    public int getColumnNumber()

  Description copied from interface: `org.xml.sax.Locator`
  Return the column number where the current document event ends.

  Warning: The return value from the method is intended only as an approximation for the sake of error reporting; it is not intended to provide sufficient information to edit the character content of the original XML document.

  The return value is an approximation of the column number in the document entity or external parsed entity where the markup triggering the event appears.

  If possible, the SAX driver should provide the line position of the first character after the text associated with the document event.

  If possible, the SAX driver should provide the line position of the first character after the text associated with the document event. The first column in each line is column 1.

  Specified by:
    `getColumnNumber` in interface `org.xml.sax.Locator`
  Following copied from interface: `org.xml.sax.Locator`
  Returns:
    The column number, or -1 if none is available.
  See Also:
    `Locator.getLineNumber()`

### setReader

    public void setReader(com.caucho.xml.readers.XmlReader reader)

### unread

    public void unread(int ch)

### free

    public void free()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD